## fo-property-role

fo-property-role —

## Synopsis

                FoPropertyRole;
                FoPropertyRoleClass;
    FoProperty* fo_property_role_new            (void);
    FoProperty* fo_property_role_get_initial    (void);

## Description

## Details

### FoPropertyRole

    typedef struct _FoPropertyRole FoPropertyRole;

### FoPropertyRoleClass

    typedef struct _FoPropertyRoleClass FoPropertyRoleClass;

### fo_property_role_new ()

    FoProperty* fo_property_role_new            (void);

Creates a new FoPropertyRole initialized to default value.

Returns : | the new FoPropertyRole.

### fo_property_role_get_initial ()

    FoProperty* fo_property_role_get_initial    (void);

Get an instance of the property with the correct initial value.

Returns : | An instance of the property.